# Filename: tri_point_inside.py
# Purpose: Check if point is inside triangulation.
# Returns: Bool.

from maptek import vulcan

input_tri = 'halo.00t'

with vulcan.triangulation(input_tri, 'r') as tri: # open tri in read mode
    is_in = tri.point_inside(78100.0, 4650.0, 100.0) # pass point x,y,z

    # do something with result...
    print(is_in)